%define base_name libgcrypt
%define compat 1

Name:	 libgcrypt1
Version: 1.1.12
Release: 0.fdr.2%{?dist_tag}
Source0: ftp://ftp.gnupg.org/pub/gcrypt/alpha/libgcrypt/libgcrypt-1.1.12.tar.gz
Source1: ftp://ftp.gnupg.org/pub/gcrypt/alpha/libgcrypt/libgcrypt-1.1.12.tar.gz.sig
License: LGPL
Summary: A general-purpose cryptography library.
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Group: System Environment/Libraries

Provides: %{base_name} = %{version}-%{release}

%package devel
Summary: Development files for the %{name} package.
Group: Development/Libraries
Requires(post): /sbin/install-info
Requires(postun): /sbin/install-info
Requires: %{name} = %{version}-%{release}
Provides: %{base_name}-devel = %{version}-%{release}
%description
Libgcrypt is a general purpose crypto library based on the code used
in GNU Privacy Guard.  This is a development version.

%description devel
Libgcrypt is a general purpose crypto library based on the code used
in GNU Privacy Guard.  This package contains files needed to develop
applications using libgcrypt.

%prep
%setup -q -n libgcrypt-%{version}


%build
%configure --disable-asm
make


%install
rm -fr $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# XXX until %%configure is figgered
#mv	${RPM_BUILD_ROOT}%{_bindir}/*-libgcrypt-config \
#	${RPM_BUILD_ROOT}%{_bindir}/libgcrypt-config || :

rm -f ${RPM_BUILD_ROOT}/%{_infodir}/dir


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post devel
/sbin/install-info %{_infodir}/gcrypt.info.gz %{_infodir}/dir &>/dev/null || :

%preun devel
if [ $1 -eq 0 ]; then
    /sbin/install-info --delete %{_infodir}/gcrypt.info.gz \
      %{_infodir}/dir &>/dev/null || :
fi


%files
%defattr(-,root,root)
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_bindir}/libgcrypt-config
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_datadir}/aclocal/*
%{_infodir}/gcrypt.info*


%changelog
* Tue Oct 19 2004 Rex Dieter <rexdieter[AT]users.sf.net> 1.1.12-0.fdr.2
- Provides: libgcrypt(-devel)

* Sat May 15 2004 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.1.12-0.fdr.1
- Rename package to libgcrypt1-*.
- Discard output in scriptlets.
- Include *.so.* too.

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Mar 20 2003 Jeff Johnson <jbj@redhat.com> 1.1.12-1
- upgrade to 1.1.12 (beta).

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 21 2002 Jeff Johnson <jbj@redhat.com>
- update to 1.1.7
- change license to LGPL.
- include splint annotations patch.
- install info pages.

* Tue Apr  2 2002 Nalin Dahyabhai <nalin@redhat.com> 1.1.6-1
- update to 1.1.6

* Thu Jan 10 2002 Nalin Dahyabhai <nalin@redhat.com> 1.1.5-1
- fix the Source tag so that it's a real URL

* Wed Dec 20 2001 Nalin Dahyabhai <nalin@redhat.com>
- initial package
